## rock-master-20.06-tools-lib-config 0.20200827

=== CMakeLists.txt ===
# CMakeLists.txt has to be located in the project folder and cmake has to be
# executed from 'project/build' with 'cmake ../'.
cmake_minimum_required(VERSION 2.6)
find_package(Rock)
SET( CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -std=c++11" )

rock_init(lib_config 0.1)
include_directories(src)
rock_standard_layout()

=== src/CMakeLists.txt ===
find_package( Boost COMPONENTS system filesystem regex)
rock_library(lib_config
    SOURCES
        Bundle.cpp
        Configuration.cpp
        YAMLConfiguration.cpp
        TypelibConfiguration.cpp
    HEADERS
        Bundle.hpp
        Configuration.hpp
        YAMLConfiguration.hpp
        TypelibConfiguration.hpp
    DEPS_PKGCONFIG
        base-types
        yaml-cpp
        typelib
        base-logging
    DEPS_PLAIN 
        Boost_SYSTEM Boost_FILESYSTEM Boost_REGEX
    )

rock_executable(lib_config_bin Main.cpp
    DEPS lib_config DEPS_PLAIN Boost_SYSTEM Boost_FILESYSTEM Boost_REGEX)

=== test/CMakeLists.txt ===
INCLUDE_DIRECTORIES(../src)
rock_testsuite(test_suite suite.cpp 
                          bundle.cpp
                          yaml_configuration.cpp
               DEPS lib_config)

=== bindings/python/CMakeLists.txt ===
FIND_PACKAGE(PythonInterp REQUIRED)
FIND_PACKAGE(PythonLibs REQUIRED)
        
if (UNIX AND NOT APPLE)
    if (PYTHON_VERSION_MAJOR EQUAL 3)
        FIND_PACKAGE(Boost COMPONENTS python${PYTHON_VERSION_MAJOR})
    else()
        FIND_PACKAGE(Boost COMPONENTS python)
    endif()
else()    
    if (PYTHON_VERSION_MAJOR EQUAL 3)
        FIND_PACKAGE(Boost COMPONENTS python${PYTHON_VERSION_MAJOR}${PYTHON_VERSION_MINOR})
    else()
        FIND_PACKAGE(Boost COMPONENTS python${PYTHON_VERSION_MAJOR}${PYTHON_VERSION_MINOR})
    endif()
endif()

set(PYTHON_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/lib/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages)

message(STATUS "PYTHON_VERSION_MAJOR.PYTHON_VERSION_MINOR = ${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}")
message(STATUS "PYTHON_LIBRARIES = ${PYTHON_LIBRARIES}")
message(STATUS "PYTHON_EXECUTABLE = ${PYTHON_EXECUTABLE}")
message(STATUS "PYTHON_INCLUDE_DIRS = ${PYTHON_INCLUDE_DIRS}")
message(STATUS "Boost_LIBRARIES = ${Boost_LIBRARIES}")
message(STATUS "PYTHON_INSTALL_PATH = ${PYTHON_INSTALL_PATH}")


INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS} ${PYTHON_INCLUDE_DIRS})

PYTHON_ADD_MODULE(bundle bundle.cpp)
set_target_properties(bundle PROPERTIES PREFIX "")
target_link_libraries(bundle
    ${Boost_LIBRARIES}
    lib_config
    ${PYTHON_LIBRARIES}
)

add_custom_target(rockpy
    COMMAND if(NOT EXISTS ${PYTHON_INSTALL_PATH}/rock/__init__.py)
        file(WRITE ${PYTHON_INSTALL_PATH}/rock/__init__.py)
    endif()
)

install(TARGETS bundle
        DESTINATION ${PYTHON_INSTALL_PATH}/rock)
install(FILES __init__.py
        DESTINATION ${PYTHON_INSTALL_PATH}/rock)

=== debian/changelog ===
rock-master-20.06-tools-lib-config (0.20200827-1~buster) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-cpp/lib_config.git
  * branch: refs/heads/master
  * commit: fd481b2719edcfd72c0e771dee4b4f8560d6ca8a
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Tue, 22 Sep 2020 12:15:54 +0200

=== debian/control ===
Source: rock-master-20.06-tools-lib-config
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, libboost-python-dev, libyaml-cpp-dev, python-dev, rock-master-20.06-base-cmake, rock-master-20.06-base-types, rock-master-20.06-typelib
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.06-tools-lib-config
Architecture: any
Depends: ${shlibs:Depends}, cmake, libboost-python-dev, libyaml-cpp-dev, python-dev, rock-master-20.06-base-cmake, rock-master-20.06-base-types, rock-master-20.06-typelib, ruby
Description: A library for loading and saving task configurations
 A library for loading and saving task configurations
